NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.PID.PipeBuilder Class Reference

Represents a PipeBuilder. More...

Inheritance diagram for NXOpen.PID.PipeBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void GetBendPoints (out NXOpen.Point2d[] points)
 Get bending points for polyline to render the connection. More...
 
unsafe
NXOpen.Diagramming.Connection 
GetConnection ()
 Get the connection object of the connection builder. More...
 
unsafe void GetEnd (out NXOpen.PID.Equipment equipment, out string nodeSidId, out string portId)
 Gets the end port of this pipe. More...
 
unsafe NXOpen.Point2d GetEndLocation ()
 Get the end location of this connection. More...
 
unsafe void GetEndTee (out NXOpen.PID.Equipment tee, out string nodeSidId)
 Gets the end Tee. More...
 
unsafe void GetEndTeeLocation (out NXOpen.PID.Pipe pipe, out string connectionId, out int segementId, out double percent)
 Get the connection location for tee object at the end of the connection. More...
 
unsafe void GetNewEndTeeConnection (out NXOpen.PID.Pipe pipe, out string connectionId)
 Gets new connection after inserting the end Tee. More...
 
unsafe void GetNewStartTeeConnection (out NXOpen.PID.Pipe pipe, out string connectionId)
 Gets new connection after inserting the start Tee. More...
 
unsafe void GetStart (out NXOpen.PID.Equipment equipment, out string nodeSidId, out string portId)
 Gets the start port of this connection. More...
 
unsafe NXOpen.Point2d GetStartLocation ()
 Get the start location of this connection. More...
 
unsafe void GetStartTee (out NXOpen.PID.Equipment tee, out string nodeSidId)
 Gets the start Tee. More...
 
unsafe void GetStartTeeLocation (out NXOpen.PID.Pipe pipe, out string connectionId, out int segementId, out double percent)
 Get the connection location for tee object at the start of the connection. More...
 
unsafe void SetBendPoints (NXOpen.Point2d[] points)
 Set bending points for polyline to render the connection. More...
 
unsafe void SetEnd (NXOpen.PID.Equipment equipment, string nodeSidId, string portId)
 Sets the end port of this pipe. More...
 
unsafe void SetEndLocation (NXOpen.Point2d endLocation)
 Set the end location of this connection. More...
 
unsafe void SetEndTeeLocation (NXOpen.PID.Pipe pipe, string connectionId, int segementId, double percent)
 Set the connection location for tee object at the end of the connection. More...
 
unsafe void SetStart (NXOpen.PID.Equipment equipment, string nodeSidId, string portId)
 Sets the start port of this connection. More...
 
unsafe void SetStartLocation (NXOpen.Point2d startLocation)
 Set the start location of this connection. More...
 
unsafe void SetStartTeeLocation (NXOpen.PID.Pipe pipe, string connectionId, int segementId, double percent)
 Set the connection location for tee object at the start of the connection. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.PID.PipeDisciplineType 
Discipline [get, set]
 Returns or sets the pipe discipline type More...
 
unsafe string ElementId [get, set]
 Returns or sets the current element ID of this pipe. More...
 
unsafe string Id [get]
 Returns the id of the pipe. More...
 
unsafe string LineTypePathId [get, set]
 Returns or sets the line type path ID of the Pipe. More...
 
unsafe bool OverrideLineType [get, set]
 Returns or sets the option to override line type More...
 
unsafe NXOpen.PLAS.Run OwningRun [get, set]
 Returns or sets the owning run of the pipe. More...
 
unsafe NXOpen.PID.Sheet OwningSheet [get, set]
 Returns or sets the owning sheet of this pipe. More...
 
unsafe bool ReverseEnd [get]
 Returns the reversed flag of this connection. More...
 
unsafe string StockPathId [get, set]
 Returns or sets the stock path ID of the pipe. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a PipeBuilder.

To create a new instance of this class, use NXOpen.PID.PidManager.CreatePipeBuilder

Created in NX11.0.1

Member Function Documentation

unsafe void NXOpen.PID.PipeBuilder.GetBendPoints ( out NXOpen.Point2d[]  points)
inline

Get bending points for polyline to render the connection.

Created in NX11.0.1

License requirements: None.

Parameters
points
unsafe NXOpen.Diagramming.Connection NXOpen.PID.PipeBuilder.GetConnection ( )
inline

Get the connection object of the connection builder.

Created in NX12.0.0

License requirements: None.

Returns
unsafe void NXOpen.PID.PipeBuilder.GetEnd ( out NXOpen.PID.Equipment  equipment,
out string  nodeSidId,
out string  portId 
)
inline

Gets the end port of this pipe.

Created in NX11.0.1

License requirements: None.

Parameters
equipment
nodeSidId
portId
unsafe NXOpen.Point2d NXOpen.PID.PipeBuilder.GetEndLocation ( )
inline

Get the end location of this connection.

This end location is applicable only when the Diagramming.ConnectionBuilder.End port is a null reference (Nothing in Visual Basic).

Created in NX11.0.1

License requirements: None.

Returns
unsafe void NXOpen.PID.PipeBuilder.GetEndTee ( out NXOpen.PID.Equipment  tee,
out string  nodeSidId 
)
inline

Gets the end Tee.

Created in NX12.0.0

License requirements: None.

Parameters
tee
nodeSidId
unsafe void NXOpen.PID.PipeBuilder.GetEndTeeLocation ( out NXOpen.PID.Pipe  pipe,
out string  connectionId,
out int  segementId,
out double  percent 
)
inline

Get the connection location for tee object at the end of the connection.

Created in NX11.0.1

License requirements: None.

Parameters
pipe
connectionId
segementId
percent
unsafe void NXOpen.PID.PipeBuilder.GetNewEndTeeConnection ( out NXOpen.PID.Pipe  pipe,
out string  connectionId 
)
inline

Gets new connection after inserting the end Tee.

Created in NX11.0.1

License requirements: None.

Parameters
pipe
connectionId
unsafe void NXOpen.PID.PipeBuilder.GetNewStartTeeConnection ( out NXOpen.PID.Pipe  pipe,
out string  connectionId 
)
inline

Gets new connection after inserting the start Tee.

Created in NX11.0.1

License requirements: None.

Parameters
pipe
connectionId
unsafe void NXOpen.PID.PipeBuilder.GetStart ( out NXOpen.PID.Equipment  equipment,
out string  nodeSidId,
out string  portId 
)
inline

Gets the start port of this connection.

Created in NX11.0.1

License requirements: None.

Parameters
equipment
nodeSidId
portId
unsafe NXOpen.Point2d NXOpen.PID.PipeBuilder.GetStartLocation ( )
inline

Get the start location of this connection.

This start location is applicable only when the Diagramming.ConnectionBuilder.Start is a null reference (Nothing in Visual Basic).

Created in NX11.0.1

License requirements: None.

Returns
unsafe void NXOpen.PID.PipeBuilder.GetStartTee ( out NXOpen.PID.Equipment  tee,
out string  nodeSidId 
)
inline

Gets the start Tee.

Created in NX12.0.0

License requirements: None.

Parameters
tee
nodeSidId
unsafe void NXOpen.PID.PipeBuilder.GetStartTeeLocation ( out NXOpen.PID.Pipe  pipe,
out string  connectionId,
out int  segementId,
out double  percent 
)
inline

Get the connection location for tee object at the start of the connection.

Created in NX11.0.1

License requirements: None.

Parameters
pipe
connectionId
segementId
percent
unsafe void NXOpen.PID.PipeBuilder.SetBendPoints ( NXOpen.Point2d[]  points)
inline

Set bending points for polyline to render the connection.

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
points
unsafe void NXOpen.PID.PipeBuilder.SetEnd ( NXOpen.PID.Equipment  equipment,
string  nodeSidId,
string  portId 
)
inline

Sets the end port of this pipe.

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipment
nodeSidId
portId
unsafe void NXOpen.PID.PipeBuilder.SetEndLocation ( NXOpen.Point2d  endLocation)
inline

Set the end location of this connection.

This end location is applicable only when the Diagramming.ConnectionBuilder.End port is a null reference (Nothing in Visual Basic).

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
endLocation
unsafe void NXOpen.PID.PipeBuilder.SetEndTeeLocation ( NXOpen.PID.Pipe  pipe,
string  connectionId,
int  segementId,
double  percent 
)
inline

Set the connection location for tee object at the end of the connection.

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipe
connectionId
segementId
percent
unsafe void NXOpen.PID.PipeBuilder.SetStart ( NXOpen.PID.Equipment  equipment,
string  nodeSidId,
string  portId 
)
inline

Sets the start port of this connection.

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipment
nodeSidId
portId
unsafe void NXOpen.PID.PipeBuilder.SetStartLocation ( NXOpen.Point2d  startLocation)
inline

Set the start location of this connection.

This start location is applicable only when the Diagramming.ConnectionBuilder.Start is a null reference (Nothing in Visual Basic).

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
startLocation
unsafe void NXOpen.PID.PipeBuilder.SetStartTeeLocation ( NXOpen.PID.Pipe  pipe,
string  connectionId,
int  segementId,
double  percent 
)
inline

Set the connection location for tee object at the start of the connection.

Created in NX11.0.1

License requirements: nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipe
connectionId
segementId
percent

Property Documentation

unsafe NXOpen.PID.PipeDisciplineType NXOpen.PID.PipeBuilder.Discipline
getset

Returns or sets the pipe discipline type

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe string NXOpen.PID.PipeBuilder.ElementId
getset

Returns or sets the current element ID of this pipe.

It works only in edit mode, it's optional and the first element ID stored in the pipe will be used as default.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe string NXOpen.PID.PipeBuilder.Id
get

Returns the id of the pipe.

Created in NX11.0.1

License requirements: None.

unsafe string NXOpen.PID.PipeBuilder.LineTypePathId
getset

Returns or sets the line type path ID of the Pipe.

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe bool NXOpen.PID.PipeBuilder.OverrideLineType
getset

Returns or sets the option to override line type

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe NXOpen.PLAS.Run NXOpen.PID.PipeBuilder.OwningRun
getset

Returns or sets the owning run of the pipe.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe NXOpen.PID.Sheet NXOpen.PID.PipeBuilder.OwningSheet
getset

Returns or sets the owning sheet of this pipe.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")

unsafe bool NXOpen.PID.PipeBuilder.ReverseEnd
get

Returns the reversed flag of this connection.

Created in NX11.0.1

License requirements: None.

unsafe string NXOpen.PID.PipeBuilder.StockPathId
getset

Returns or sets the stock path ID of the pipe.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: nx_pid_design_author ("NX P and ID Design Author")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.